; This software is in the public domain.  There is no warranty.
; Programmed by Your name here (your email)



;------- Identification

        .db     "Galaxia!" 
;eight letters or less   ^
;                        |
;------- Table of levels
;name your levels here 

level_table:
        .dw     lev1
        .dw     lev2
  		.dw     _shop
        .dw     boss
        .dw     lev4
		.dw		ambush6
        .dw     lev5
        .dw     lev6
        .dw     _shop
        .dw     boss2
        .dw     lev7
		.dw		ambush9
        .dw     _shop
        .dw     boss3
        .dw     lev10
		.dw		ambush12
        .dw     lev11
        .dw     _shop
        .dw     final
        .dw     _game_finished

;------- Level data
final:  .db     2  ;kill 2 emenies
        .db     L_SET_MOVETYPE,EM_BOSS
        .db     L_SET_POWER,150
        .db     L_SET_MOVEDATA,0,32
        .db     L_IMAGE_STILL
        .dw     deathboss
        .db     L_SET_FIRETYPE,FT_PERIODIC
        .db     L_SET_FIRERATE,50
        .db     L_SET_WEAPON,W_SINGLEBIG
        .db     L_INSTALL_ONE,90,1

        .db     L_SET_MOVETYPE,EM_BOSS
        .db     L_SET_POWER,87
        .db     L_SET_MOVEDATA,0,32
        .db     L_IMAGE_STILL
        .dw     boss1
        .db     L_SET_FIRETYPE,FT_PERIODIC
        .db     L_SET_FIRERATE,110
        .db     L_SET_WEAPON,W_DOUBLE
        .db     L_INSTALL_ONE,90,25
        .db     L_END   

lev11:   .db     12
        .db     L_IMAGE_STILL
        .dw     img_enemy_1
        .db     L_SET_MOVETYPE,EM_BOUNCE
        .db     L_SET_FIRERATE,16
        .db     L_SET_POWER,17
        .db     L_SET_WEAPON,W_ARROW
        .db     L_INSTALL_ROW,18,18,6,0
        .db     L_INSTALL_ROW,18,34,6,0        
	    .db     L_END

lev10:  .db     18
        .db     L_SET_MOVETYPE,EM_STANDARD
        .db     L_IMAGE_ANIM
        .dw     img_enemy_3s 
        .db     L_INSTALL_ROW,18,18,9,10
        .db     L_SET_POWER,20
        .db     L_SET_FIRERATE,22

        
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_FIRERATE,1
        .db     L_SET_MOVETYPE,EM_PATTERNSTART
        .db     L_SET_MOVEDATA
        .dw     zigzag_pattern
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_SET_POWER,5
        .db     L_INSTALL_ROW,1,18,9,15
        .db     L_END

boss3:   .db     9
        .db     L_SET_WEAPON,W_NORMAL
 		.db 	L_SET_MOVETYPE,EM_STANDARD
        .db     L_SET_POWER,8
        .db     L_SET_FIRERATE,6
        .db     L_IMAGE_STILL
        .dw     img_enemy_1
        .db     L_INSTALL_ROW,1,18,8,15

        .db     L_SET_MOVETYPE,EM_BOSS
        .db     L_SET_POWER,87
        .db     L_SET_MOVEDATA,0,32
        .db     L_IMAGE_STILL
        .dw     deathboss
        .db     L_SET_FIRETYPE,FT_PERIODIC
        .db     L_SET_FIRERATE,100
        .db     L_SET_WEAPON,W_BIG
        .db     L_INSTALL_ONE,90,1


        .db     L_END           

boss2:   .db     2
        .db     L_SET_MOVETYPE,EM_BOSS
        .db     L_SET_POWER,50
        .db     L_SET_MOVEDATA,0,31
        .db     L_IMAGE_STILL
        .dw     boss1
        .db     L_SET_FIRETYPE,FT_PERIODIC
        .db     L_SET_FIRERATE,50
        .db     L_SET_WEAPON,W_BIG
        .db     L_INSTALL_ONE,90,1
        .db     L_SET_WEAPON,W_DOUBLE
        .db     L_INSTALL_ONE,90,25
        .db     L_END   

lev7:   .db     12
        .db     L_IMAGE_STILL
        .dw     img_bomber
		.db     L_SET_FIRERATE,15
        .db     L_SET_MOVETYPE,EM_RAMPAGEWAIT 
        .db     L_SET_FIRERATE,8
        .db     L_SET_POWER,15
        .db     L_SET_WEAPON,W_NORMAL
        .db     L_INSTALL_ROW,18,30,6,10
		.db     L_INSTALL_ROW,28,20,6,10
        .db     L_END

lev6:   .db     18
        .db     L_IMAGE_STILL
        .dw     img_enemy_2 
		.db     L_SET_FIRERATE,13
        .db     L_SET_POWER,15
        .db     L_INSTALL_ROW,18,18,9,10
        .db     L_SET_POWER,10
        .db     L_SET_MOVETYPE,EM_PATTERNSTART
        .db     L_SET_MOVEDATA
        .dw     zigzag_pattern
        
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_FIRERATE,1
        .db     L_SET_POWER,10
        .db     L_SET_WEAPON,W_NORMAL
        .db     L_INSTALL_ROW,1,18,9,15
        .db     L_END



lev5:   .db     18
        .db     L_SET_POWER,6
        .db     L_IMAGE_ANIM
        .dw     img_enemy_3s
        .db     L_SET_WEAPON,W_DOUBLE 
        .db     L_SET_MOVETYPE,EM_SWOOPWAIT
        .db     L_SET_FIRERATE,9
	    .db     L_INSTALL_ROW,26,2,3,10
 		.db     L_INSTALL_ROW,26,22,3,10
        .db     L_SET_POWER,7
        .db     L_SET_MOVETYPE,EM_STANDARD
        .db     L_SET_WEAPON,W_NORMAL
        .db     L_SET_FIRERATE,18
        .db     L_IMAGE_STILL
        .dw     img_enemy_3
        .db     L_GOTO
        .dw     lev4x

lev4:   .db     18
        .db     L_SET_POWER,7
        .db     L_IMAGE_STILL
        .dw     img_enemy_3
		.db     L_SET_FIRERATE,12
  		.db     L_INSTALL_ROW,26,2,3,10
 		.db     L_INSTALL_ROW,26,22,3,10
lev4x:  .db     L_SET_FIRERATE,15
		.db     L_INSTALL_ROW,66,2,3,10
        .db     L_INSTALL_ROW,66,22,3,10
        .db     L_INSTALL_ROW,17,7,3,40
        .db     L_INSTALL_ROW,17,17,3,40
        .db     L_END

boss:   .db     9
        .db     L_SET_POWER,5
        .db     L_IMAGE_STILL
        .dw     img_enemy_2
        .db     L_INSTALL_ROW,21,16,8,10

        .db     L_SET_MOVETYPE,EM_BOSS
        .db     L_SET_POWER,77
        .db     L_SET_MOVEDATA,0,32
        .db     L_IMAGE_STILL
        .dw     boss1
        .db     L_SET_FIRETYPE,FT_PERIODIC
        .db     L_SET_FIRERATE,64
        .db     L_SET_WEAPON,W_DOUBLE
        .db     L_INSTALL_ONE,90,1
        .db     L_END

lev1:   .db     17
 		.db 	L_SET_MOVETYPE,EM_STANDARD
        .db     L_SET_POWER,2
        .db     L_SET_FIRERATE,1
        .db     L_IMAGE_STILL
        .dw     img_enemy_2
        .db     L_INSTALL_ROW,21,2,8,10

lev1x:  .db     L_SET_POWER,3
        .db     L_SET_FIRERATE,5
        .db     L_SET_MOVEDATA
        .db     0,-60    
        .db     L_IMAGE_STILL
        .dw     img_enemy_1 
        .db     L_INSTALL_ROW,18,19,9,10
        .db     L_END

ambush6: .db		6
		.db     L_SET_POWER,30
        .db     L_SET_FIRERATE,5
        .db     L_SET_MOVETYPE,EM_BOUNCE
        .db     L_SET_MOVEDATA,3,3
		.db		L_IMAGE_STILL
        .dw     img_enemy_1 
        .db     L_INSTALL_ROW,18,19,6,10
        .db     L_END

ambush9: .db		9
		.db     L_SET_POWER,25
        .db     L_SET_FIRERATE,5
        .db     L_SET_MOVETYPE,EM_RAMPAGEINIT 
		.db		L_IMAGE_STILL
        .dw     img_bomber 
        .db     L_INSTALL_ROW,18,19,9,10
        .db     L_END

ambush12: .db		12
		.db     L_SET_POWER,20
        .db     L_SET_FIRERATE,5
        .db     L_SET_MOVETYPE,EM_RAMPAGEWAIT
		.db		L_IMAGE_STILL
        .dw     img_enemy_3 
        .db     L_INSTALL_ROW,18,19,12,10
        .db     L_END		

lev2:   .db     15
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_MOVETYPE,EM_BOUNCE
        .db     L_SET_POWER,8
        .db     L_SET_MOVEDATA,3,3
        .db     L_SET_FIRERATE,4
        .db     L_SET_WEAPON,W_NORMAL
        .db     L_INSTALL_ROW,14,20,6,10

        .db     L_SET_MOVETYPE,EM_STANDARD
        .db     L_GOTO
        .dw     lev1x
                
_shop:  .db     0
        .db     L_SHOP

_game_finished:
        .db     0
        .db     L_GAMEEND

;------- Enemy movement patterns

zigzag_pattern:
        .db     32,0,4
zigzag_loop:
        .db     16,12,12
        .db     16,12,-12
        .db     16,12,12
        .db     16,12,-12
        .db     16,12,12
        .db     16,12,-12
        .db     16,0,-16
        .db     16,-72,0
        .db     16,0,16
        .db     0
        .dw     zigzag_loop

;------- Images

img_bomber:
        .db     7,7
        .db     %01111100
        .db     %10010010
        .db     %10111010
        .db     %10111010
        .db     %10111010
        .db     %10010010
        .db     %01111100

img_enemy_1:
        .db     8,10
        .db     %01111110
        .db     %10101111
        .db     %11010111
        .db     %10101111
        .db     %11010111
        .db     %10101111
        .db     %11111111
        .db     %01111110
        .db     %00100100
        .db     %00100100

img_enemy_2:
        .db     8,16
        .db     %0011100
        .db     %0100010
        .db     %1010101
        .db     %1000001
        .db     %1000001
        .db     %1011101
        .db     %1011101
        .db     %1011101
        .db     %1011101
        .db     %1011101
        .db     %1011101
        .db     %1000001
        .db     %1000001
        .db     %1010101
        .db     %0100010
        .db     %0011100

img_enemy_3:
       .db     8,8
       .db %01011010
       .db %11100111
       .db %01011010
       .db %10111101
       .db %10111101
       .db %01011010
       .db %11100111
       .db %01011010


boss1:  
        .db     16,10
        .db     %01000011
        .db     %10111100
        .db     %01000000
        .db     %01010001
        .db     %10010011
        .db     %10010011
        .db     %01010001
        .db     %01000000
        .db     %10111100
        .db     %01000011
        .db     8,10
        .db     %11000010
        .db     %00111101
        .db     %00000010
        .db     %10001010
        .db     %11001001
        .db     %11001001
        .db     %10001010
        .db     %00000010
        .db     %00111101
        .db     %11000010
       
deathboss:  
        .db     16,10
        .db     %01000011
        .db     %10111100
        .db     %01011001
        .db     %01010011
        .db     %10010111
        .db     %10010111
        .db     %01010011
        .db     %01011001
        .db     %10111100
        .db     %01000011
        .db     8,10
        .db     %11000010
        .db     %00111101
        .db     %10011010
        .db     %11001010
        .db     %11101001
        .db     %11101001
        .db     %11001010
        .db     %10011010
        .db     %00111101
        .db     %11000010

img_enemy_3s:
        .db     2
        .dw     img_enemy_3a
        .db     2
        .dw     img_enemy_3b
        .db     2
        .dw     img_enemy_3c
        .db     2
        .dw     img_enemy_3d
        .db     0
        .dw     img_enemy_3s

img_enemy_3a:
        .db     8,8
        .db     %00111100
        .db     %01000010
        .db     %10011001
        .db     %10111101
        .db     %10111101
        .db     %10011001
        .db     %01000010
        .db     %00111100
img_enemy_3b:
        .db     8,8
        .db     %00111100
        .db     %01000010
        .db     %10000001
        .db     %10011001
        .db     %10011001
        .db     %10000001
        .db     %01000010
        .db     %00111100
img_enemy_3c:
        .db     8,8
        .db     %00111100
        .db     %01000010
        .db     %10011001
        .db     %10011001
        .db     %10011001
        .db     %10011001
        .db     %01000010
        .db     %00111100
img_enemy_3d:
        .db     8,8
        .db     %00111100
        .db     %01000010
        .db     %10000001
        .db     %10111101
        .db     %10111101
        .db     %10000001
        .db     %01000010
        .db     %00111100
